Open SCAP Library

Data Structures | Typedefs | Functions
oval_resultItem.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include "oval_agent_api_impl.h"`
`#include "results/oval_results_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_system_characteristics_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`

## Data Structures
struct | oval_result_item

## Typedefs
typedef struct oval_result_item | oval_result_item_t

## Functions
struct oval_result_item * | oval_result_item_new (struct oval_result_system *sys, char *item_id)
struct oval_result_item * | oval_result_item_clone (struct oval_result_system *new_system, struct oval_result_item *old_item)
void | oval_result_item_free (struct oval_result_item *item)
bool | oval_result_item_iterator_has_more (struct oval_result_item_iterator *oc_result_item)
struct oval_result_item * | oval_result_item_iterator_next (struct oval_result_item_iterator *oc_result_item)
void | oval_result_item_iterator_free (struct oval_result_item_iterator *oc_result_item)
struct oval_sysitem * | oval_result_item_get_sysitem (struct oval_result_item *item)
oval_result_t | oval_result_item_get_result (struct oval_result_item *item)
struct oval_message_iterator * | oval_result_item_get_messages (struct oval_result_item *item)
void | oval_result_item_set_result (struct oval_result_item *item, oval_result_t result)
void | oval_result_item_add_message (struct oval_result_item *item, struct oval_message *message)
int | oval_result_item_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, struct oval_result_system *sys, oscap_consumer_func consumer, void *user)
xmlNode * | oval_result_item_to_dom (struct oval_result_item *rslt_item, xmlDocPtr doc, xmlNode *parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/